• Русский
  • ResolutionRequest [resolution.tekton.dev/v1beta1]

    Description
    ResolutionRequest is an object for requesting the content of a Tekton resource like a pipeline.yaml.
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    Spec holds the information for the request part of the resource request.

    statusobject

    Status communicates the state of the request and, ultimately, the content of the resolved resource.

    .spec

    Description
    Spec holds the information for the request part of the resource request.
    Type
    object
    PropertyTypeDescription
    paramsobject

    Parameters are the runtime attributes passed to the resolver to help it figure out how to resolve the resource being requested. For example: repo URL, commit SHA, path to file, the kind of authentication to leverage, etc.

    .spec.params

    Description
    Parameters are the runtime attributes passed to the resolver to help it figure out how to resolve the resource being requested. For example: repo URL, commit SHA, path to file, the kind of authentication to leverage, etc.
    Type
    object

    .status

    Description
    Status communicates the state of the request and, ultimately, the content of the resolved resource.
    Type
    object
    Required
    datarefSource
    PropertyTypeDescription
    annotationsobject

    Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.

    conditionsarray

    Conditions the latest available observations of a resource's current state.

    datastring

    Data is a string representation of the resolved content of the requested resource in-lined into the ResolutionRequest object.

    observedGenerationinteger

    ObservedGeneration is the 'Generation' of the Service that was last processed by the controller.

    refSource

    RefSource is the source reference of the remote data that records where the remote file came from including the url, digest and the entrypoint.

    .status.annotations

    Description
    Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.
    Type
    object

    .status.conditions

    Description
    Conditions the latest available observations of a resource's current state.
    Type
    array

    .status.conditions[]

    Description
    Condition defines a readiness condition for a Knative resource. See: https://github.com/kubernetes/community/blob/master/contributors/devel/sig-architecture/api-conventions.md#typical-status-properties
    Type
    object
    Required
    statustype
    PropertyTypeDescription
    lastTransitionTimestring

    LastTransitionTime is the last time the condition transitioned from one status to another. We use VolatileTime in place of metav1.Time to exclude this from creating equality.Semantic differences (all other things held constant).

    messagestring

    A human readable message indicating details about the transition.

    reasonstring

    The reason for the condition's last transition.

    severitystring

    Severity with which to treat failures of this type of condition. When this is not specified, it defaults to Error.

    statusstring

    Status of the condition, one of True, False, Unknown.

    typestring

    Type of condition.

    API Endpoints

    The following API endpoints are available:

    • /apis/resolution.tekton.dev/v1alpha1/namespaces/{namespace}/resolutionrequests
      • DELETE: delete collection of ResolutionRequest
      • GET: list objects of kind ResolutionRequest
      • POST: create a new ResolutionRequest
    • /apis/resolution.tekton.dev/v1alpha1/namespaces/{namespace}/resolutionrequests/{name}
      • DELETE: delete the specified ResolutionRequest
      • GET: read the specified ResolutionRequest
      • PATCH: partially update the specified ResolutionRequest
      • PUT: replace the specified ResolutionRequest
    • /apis/resolution.tekton.dev/v1alpha1/namespaces/{namespace}/resolutionrequests/{name}/status
      • GET: read status of the specified ResolutionRequest
      • PATCH: partially update status of the specified ResolutionRequest
      • PUT: replace status of the specified ResolutionRequest

    /apis/resolution.tekton.dev/v1alpha1/namespaces/{namespace}/resolutionrequests

    HTTP method
    DELETE
    Description
    delete collection of ResolutionRequest
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind ResolutionRequest
    HTTP responses
    HTTP codeResponse body
    200 - OKResolutionRequestList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new ResolutionRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyResolutionRequest schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKResolutionRequest schema
    201 - CreatedResolutionRequest schema
    202 - AcceptedResolutionRequest schema
    401 - UnauthorizedEmpty

    /apis/resolution.tekton.dev/v1alpha1/namespaces/{namespace}/resolutionrequests/{name}

    HTTP method
    DELETE
    Description
    delete the specified ResolutionRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified ResolutionRequest
    HTTP responses
    HTTP codeResponse body
    200 - OKResolutionRequest schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified ResolutionRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKResolutionRequest schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified ResolutionRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyResolutionRequest schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKResolutionRequest schema
    201 - CreatedResolutionRequest schema
    401 - UnauthorizedEmpty

    /apis/resolution.tekton.dev/v1alpha1/namespaces/{namespace}/resolutionrequests/{name}/status

    HTTP method
    GET
    Description
    read status of the specified ResolutionRequest
    HTTP responses
    HTTP codeResponse body
    200 - OKResolutionRequest schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified ResolutionRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKResolutionRequest schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified ResolutionRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyResolutionRequest schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKResolutionRequest schema
    201 - CreatedResolutionRequest schema
    401 - UnauthorizedEmpty